!include WinMessages.nsh

Function GTKInstType

        SectionGetFlags ${SEC_GTK_RUNTIME} $0
        IntOp $0 $0 & ${SF_SELECTED}
        IntCmp $0 ${SF_SELECTED} GTKSectionIsSelected
        Abort
        
        GTKSectionIsSelected:
        
        !insertmacro MUI_HEADER_TEXT "GTK+ Installation type" "Choose whether to install GTK+ globally or locally."

	nsDialogs::Create 1018
	Pop $DIALOG

        nsDialogs::CreateControl STATIC ${WS_VISIBLE}|${WS_CHILD}|${WS_CLIPSIBLINGS} 0 0 0 100% 25 "Select GTK+ Installation type:"
	Pop $Label
	
	nsDialogs::CreateControl BUTTON ${WS_VISIBLE}|${WS_CHILD}|${BS_AUTORADIOBUTTON} 0 25 25 200 25 "Global installation"
	Pop $Radio1
	
	nsDialogs::CreateControl BUTTON ${WS_VISIBLE}|${WS_CHILD}|${BS_AUTORADIOBUTTON} 0 25 50 200 25 "Local installation"
	Pop $Radio2

        SendMessage $HWNDPARENT ${WM_NEXTDLGCTL} $Radio1 1
        
        ; --------------------------------------
        IntCmp $SelectedOption 1 0 Next Next
        SendMessage $Radio1 ${BM_SETCHECK} ${BST_CHECKED} 0
        Goto Exit

        Next:
        IntCmp $SelectedOption 2 0 DisableNext DisableNext
        SendMessage $Radio2 ${BM_SETCHECK} ${BST_CHECKED} 0
        Goto Exit

        DisableNext:
	GetDlgItem $0 $HWNDPARENT 1
	EnableWindow $0 0
	
        Exit:
        ; --------------------------------------
         
	GetFunctionAddress $0 SelChange
	nsDialogs::OnClick $Radio1 $0
	nsDialogs::OnClick $Radio2 $0

	nsDialogs::Show

FunctionEnd

Function SelChange

	Pop $0
	
	StrCpy $SelectedOption 1
	IntCmp $0 $Radio2 0 +2
	StrCpy $SelectedOption 2
	
	GetDlgItem $0 $HWNDPARENT 1
	EnableWindow $0 1
	
FunctionEnd
